# Installation
## obsidian.nvim
Чтобы правильно работал плагин для obsidian'a - необходимо установить переменную окружения `OBSIDIAN_NOTES_PATH`, которая будет указывать путь до папки, где лежат документы obsidian.

Код, в котором это используется:

path: `lua/t0xa/plugins/obsidian.lua`
code
```lua
...
workspaces = {
    {
        name = "personal",
        path = os.getenv("OBSIDIAN_NOTES_PATH"),
    },
},
...
```


# File structure  
```
.
├── Dockerfile  
├── README.md  
├── init.lua  
└── lua  
    └── t0xa  
        ├── core  
        │   └── options.lua  
        └── plugins  
            └── lazy.lua  
```

## init.lua
Файл, в который "смотрит" neovim при [старте](https://neovim.io/doc/user/starting.html#initialization).

## t0xa
Вместо того, чтобы использовать обращение к файлам настройки напрямую - используется данная 
папка.  
Можно обходиться без нее, однако для избегания конфликтов нейминга решил что буду использовать 
так.
## core
Тут хранятся базовые настройки для neovim
## plugins
Папка для хранения и настроек плагинов для neovim

# Команда для запуска контейнеров

```
docker build -t nvim:nvim . && docker run -it --user nvim_playground nvim:nvim
```
