return {
  "epwalsh/obsidian.nvim",
  version = "*", -- recommended, use latest release instead of latest commit
  lazy = true,
  ft = "markdown",
  dependencies = {
    -- Required.
    "nvim-lua/plenary.nvim",
  },
  opts = {
    workspaces = {
      {
        name = "personal",
        path = os.getenv("OBSIDIAN_NOTES_PATH"),
      },
    },
    templates = {
      folder = "Templates",
      date_format = "%d.%m.%Y",
      time_format = "%H:%M",
    },
    -- disable adding properties on top of file on save
    disable_frontmatter = true,
    ui = {
      enable = false
    },
    follow_url_func = function(url)
      print("Hello from URL")
      vim.fn.jobstart({ "xdg-open", url })
    end,
  },
}
